> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets the details about a specific inventory-in orders within the WineDirect fulfillment system



## OpenAPI

````yaml /openapi.json get /api/v1/Transfers/INs/{supplierId}/{orderNumber}
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/Transfers/INs/{supplierId}/{orderNumber}:
    get:
      tags:
        - Transfers
      summary: >-
        Gets the details about a specific inventory-in orders within the
        WineDirect fulfillment system
      parameters:
        - name: supplierId
          in: path
          description: SupplierId is the unique ID for the owner of items in the system
          required: true
          schema:
            type: string
        - name: orderNumber
          in: path
          description: The order number of the IN. You can get this from the GET /INs call
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InventoryInDetailServiceResult'
components:
  schemas:
    InventoryInDetailServiceResult:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: >-
            Was the request successful. If not, the message will have more
            information.
        message:
          type: string
          description: Any error message
          nullable: true
        payload:
          $ref: '#/components/schemas/InventoryInDetail'
      additionalProperties: false
      description: Generic container for all service responses
    InventoryInDetail:
      type: object
      properties:
        header:
          $ref: '#/components/schemas/InventoryInDetailHeader'
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/InventoryInDetailLineItem'
          description: Line items defining details about an Inventory IN
          nullable: true
        notes:
          type: array
          items:
            $ref: '#/components/schemas/InventoryInDetailNote'
          description: Notes about about an Inventory IN
          nullable: true
      additionalProperties: false
    InventoryInDetailHeader:
      required:
        - supplierId
      type: object
      properties:
        rowId:
          type: integer
          description: The ID of this Inventory Item
          format: int32
        supplierId:
          minLength: 2
          type: string
          description: SupplierId is the unique ID for the owner of items in the system
        supplierName:
          type: string
          description: The name of the owner
          nullable: true
        warehouseCode:
          type: string
          description: "The warehouse (Code)  \r\n            \r\n    \"GLW\" - Glenwillow,\r\n    \"WDI\" - Green Island,\r\n    \"PSO\" - Paso Robles,\r\n    \"SMA\" - Santa Maria,\r\n    \"SHW\" - Willamette Valley\r\n    \"DAL\" - Dallas"
          nullable: true
        warehouseName:
          type: string
          description: "The warehouse this transfer is going to\r\n \r\n Glenwillow, Green Island, Paso Robles, Santa Maria, Willamette Valley"
          nullable: true
        referenceNumber:
          type: string
          description: The reference number of this item
          nullable: true
        orderNumber:
          type: string
          description: The order number of this item
          nullable: true
        submittedDate:
          type: string
          description: The date the item was submitted
          format: date-time
          nullable: true
        deliveryMethodCode:
          type: string
          description: The delivery method of this item (Code)
          nullable: true
        deliveryMethodName:
          type: string
          description: The delivery method of this item (Name)
          nullable: true
        pickupSiteId:
          type: string
          description: 'Pickup Site: ID'
          nullable: true
        pickupSiteCode:
          type: string
          description: 'Pickup Site: Code'
          nullable: true
        pickupSiteLine1:
          type: string
          description: 'Pickup Site: Address Line 1'
          nullable: true
        pickupSiteLine2:
          type: string
          description: 'Pickup Site: Address Line 2'
          nullable: true
        pickupSiteCity:
          type: string
          description: 'Pickup Site: Address City'
          nullable: true
        pickupSiteStateCode:
          type: string
          description: 'Pickup Site: Address State'
          nullable: true
        pickupSitePostalCode:
          type: string
          description: 'Pickup Site: Address Postal Code'
          nullable: true
        pickupSiteCountryCode:
          type: string
          description: 'Pickup Site: Address Country'
          nullable: true
        pickupSitePhone:
          type: string
          description: 'Pickup Site: Address Phone'
          nullable: true
        pickupSiteFax:
          type: string
          description: 'Pickup Site: Address Fax'
          nullable: true
        expectedDate:
          type: string
          description: The expected date of this item
          format: date-time
          nullable: true
        statusCode:
          type: string
          description: The item's status (Code)
          nullable: true
        statusName:
          type: string
          description: The item's status (Name)
          nullable: true
        closedDate:
          type: string
          description: The date the item was closed
          format: date-time
          nullable: true
        notificationStatusCode:
          type: string
          description: The notification status (Code)
          nullable: true
        notificationStatusName:
          type: string
          description: The notification status (Name)
          nullable: true
        notificationStatusMessage:
          type: string
          description: The notification status (Message)
          nullable: true
        isCancellable:
          type: boolean
          description: Is the item cancellable
        isEditable:
          type: boolean
          description: Is the item editable
        creationDate:
          type: string
          description: When was the item created
          format: date-time
        createdBy:
          type: string
          description: Who created the item
          nullable: true
        lastUpdateDate:
          type: string
          description: When last update
          format: date-time
          nullable: true
        lastUpdatedBy:
          type: string
          description: Who last updated
          nullable: true
      additionalProperties: false
    InventoryInDetailLineItem:
      required:
        - supplierId
      type: object
      properties:
        headerRowId:
          type: string
          description: The ID of the parent header
          nullable: true
        supplierId:
          minLength: 2
          type: string
          description: SupplierId is the unique ID for the owner of items in the system
        orderNumber:
          type: string
          description: The Order Number
          nullable: true
        lineNumber:
          type: integer
          description: The line item number, the "order" of the line
          format: int32
        inventoryItemId:
          type: string
          description: The Inventory Item's RowId
          nullable: true
        wineDirectSku:
          type: string
          description: WineDirect's SKU
          nullable: true
        sku:
          type: string
          description: The SKU of the customer
          nullable: true
        skuDescription:
          type: string
          description: Description of the SKU
          nullable: true
        qtyOrdered:
          type: integer
          description: The Qty Ordered
          format: int32
        qtyReceived:
          type: integer
          description: The Qty Received
          format: int32
        subInventoryCode:
          type: string
          description: The Sub Inventory this inventory is in (Code)
          nullable: true
        subInventoryName:
          type: string
          description: The Sub Inventory this inventory is in (Name)
          nullable: true
        creationDate:
          type: string
          description: When was the item created
          format: date-time
        createdBy:
          type: string
          description: Who created the item
          nullable: true
        lastUpdateDate:
          type: string
          description: When last update
          format: date-time
          nullable: true
        lastUpdatedBy:
          type: string
          description: Who last updated
          nullable: true
      additionalProperties: false
    InventoryInDetailNote:
      required:
        - supplierId
      type: object
      properties:
        supplierId:
          minLength: 2
          type: string
          description: SupplierId is the unique ID for the owner of items in the system
        orderNumber:
          type: string
          description: The Order Number
          nullable: true
        typeCode:
          type: string
          description: The type of note
          nullable: true
        noteTimestamp:
          type: string
          description: When
          format: date-time
        noteText:
          type: string
          description: The text
          nullable: true
        creationDate:
          type: string
          description: When was the item created
          format: date-time
        createdBy:
          type: string
          description: Who created the item
          nullable: true
        lastUpdateDate:
          type: string
          description: When last update
          format: date-time
          nullable: true
        lastUpdatedBy:
          type: string
          description: Who last updated
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````